<script lang="ts">
  import Button, { Label } from "@smui/button";
  import Dialog, { Content, Header, Title } from "@smui/dialog";
  import IconButton from "@smui/icon-button";

  export let title: string;
  export let label: string;

  let open = false;
</script>

<Dialog bind:open fullscreen>
  <Header>
    <Title data-test="dialog-title">{title}</Title>
    <IconButton action="close" class="material-icons">close</IconButton>
  </Header>
  <Content>
    <slot />
  </Content>
</Dialog>

<Button on:click={() => (open = true)} {...$$restProps}>
  <Label>{label}</Label>
</Button>
